package ch.zhaw.gartenverwaltung.types;

import ch.zhaw.gartenverwaltung.json.GrowthPhaseTypeDeserializer;
import ch.zhaw.gartenverwaltung.json.HardinessZoneDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.Date;


public record GrowthPhase(
        Date startDate,
        Date endDate,
        @JsonDeserialize(using = GrowthPhaseTypeDeserializer.class) GrowthPhaseType type,
        @JsonDeserialize(using = HardinessZoneDeserializer.class) HardinessZone zone) {
}
